Subject: RE: LDAPv3 Profile Issue

From: "Steven Legg" <[email-masked]>
Date: Fri, 1 Aug 2003 15:08:34 +1000

David,

David Chadwick wrote:
> Colleagues
>
> at the Vienna meeting I stated that the only outstanding
> issue with the
> LDAPv3 profile was the use of multi-valued RDNs. However,
> there is also
> the use of the ;binary extension that still has to be addressed and
> resolved (unfortunately), since the profile needs to state what PKI
> clients should do with ;binary.

I thought this was already resolved. Tim Polk previously proposed the
following to the list:

  (1) Upon review of the PKIX-LDAP “survey” we see a critical mass of PKI
clients
  and LDAP servers that achieve interoperability using LDAPv3 with the
;binary
  option.  As these clients appear to be in the majority, we believe the
best
  approach is to maintain this option for the transfer of X.509 certificates
and
  CRLs.  Since this is the behavior documented in RFCs 2251, 2252, and 2256
(as
  well as the overarching 3377) this will require the least changes to the
LDAPv3
  specifications as well.

  (4) The lack of a defined LDAP-specific encoding for Certificate,
Certificate
  List and Certificate Pair syntaxes is a problem, as a small percentage of
  implementations transfer these attributes without the ;binary option.
Rather
  than be silent, we suggest that the PKIX syntax and schema document state
the
  LDAP-specific encoding used in transfer without the ;binary option but
  deprecate its use.  This LDAP-specific encoding has the same transfer
  representation as when the attribute is transferred with the ;binary
option.

As I recall there was no serious dissent. Consensus seems to have been
achieved.
I wrote draft-legg-ldap-binary-00.txt assuming this was the case.

Regards,
Steven

>
> The ;binary issue is holding up the final calls on the LDAPv3 profile,
> and the LDAP PKI and PMI schema documents (from Steven Legg
> and myself).
> Fortunately it does not affect the LDAP attribute extraction schema
> profiles that are due to be published as Informational RFCs, but
> nevertheless we do need closure on the ;binary issue as soon
> as possible
>
> regards
>
> David
>
> --
> *********************************************************
>
> Leaders of the world's richest nations meet in Cancun on
> September 10th
> 2003. Oxfam is presenting them with a petition to make trade fair. Be
> sure your voice is heard. Sign the 'Big Noise' petition to make trade
> fair at:
>
> http://www.maketradefair.com/go/join/?p=omf1
>
>
> *****************************************************************
>
> David W. Chadwick, BSc PhD
> Professor of Information Systems Security
> IS Institute, University of Salford, Salford M5 4WT
> Tel: +44 161 295 5351  Fax +44 01484 532930
> Mobile: +44 77 96 44 7184
> Email: [email-masked]
> Home Page:  http://www.salford.ac.uk/its024/chadwick.htm
> Research Web site: http://sec.isi.salford.ac.uk
> Seminars: http://www.salford.ac.uk/its024/seminars.htm
> Entrust key validation string: MLJ9-DU5T-HV8J
> PGP Key ID is 0xBC238DE5
>
> *****************************************************************

---

From: David Chadwick <[email-masked]>
Date: Tue, 05 Aug 2003 13:56:16 +0100

Steven

thanks. I can now make the appropriate changes to the profile

David

Leaders of the world's richest nations meet in Cancun on September 10th
2003. Oxfam is presenting them with a petition to make trade fair. Be
sure your voice is heard. Sign the 'Big Noise' petition to make trade
fair at: